Retrieve assets
original is only returned for assets marked as public and requires the account to have the seoBaseUrl setting configured.
Query Parameters
Brand id, can be retrieved using the Retrieve brands and subbrands call.
Sub-brand id, can be retrieved using the Retrieve brands and subbrands call.
Category id, can be retrieved using the Retrieve categories call.
Collection id, can be retrieved using the Retrieve collections call.
Asset id, will return the asset for that id.
Comma-separated list of asset ids. Will return an asset for each existing id.
Comma-separated list of (metaproperty) option ids, can be retrieved using the Retrieve metaproperties call.
Comma-separated list of tags, can be retrieved using the Retrieve tags call.
Comma-separated list of asset types.
Allowed values:imagedocumentaudiovideo3d
Comma-separated list of asset orientation.
Allowed values:squareportraitlandscape
Metaproperty option name or comma-separated list ids of metaproperty options for that metaproperty. Beware that NAME should be replaced with the actual metaproperty name. This is an AND operation when passing multiple values. If a Date type metaproperty is added, retrieving assets using the dates for that metaproperty is not supported.
Indicates whether or not the response should only contain assets marked as “limited usage”.
Indicates whether or not the response should only contain archived assets.
Indicates whether or not the response should only contain assets marked as public.
Search on filenames, tags, extensions, collection names, guidelines, brandstore, campaigns in workflow, enriched PDFs, word documents.
Retrieve assets created after this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.
Set a date range together with the “dateCreated” parameter. ISO8601 format yyyy-mm-ddThh:mm:ssZ.
Retrieve assets created on this specific date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.
Retrieve assets modified after this date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.
Set a date range together with the “dateModified” parameter. ISO8601 format yyyy-mm-ddThh:mm:ssZ.
Retrieve assets modified on this specific date. ISO8601 format yyyy-mm-ddThh:mm:ssZ.
Order of the returned list of assets.
Allowed values:dateCreated ascdateModified ascdatePublished ascname ascdateCreated descdateModified descdatePublished descname desc
Maximum number of results. page * limit must be ≤ 100 000.
Default:50
<= 1000
Return the N-th set of limit results. page * limit must be ≤ 100 000; use cursor beyond that.
Default:1
Indicating whether or not the response should include count results.
Default:false
Indicating whether or not the response should include the total count of results.
Default:false
Indicating whether or not the response should include all the different media items (derivatives) available for each asset.
Default:false
Indicating whether or not the response should include the active version number.
Default:false
Cursor mark from X-Bynder-NextCursor. Use * to start; mutually exclusive with page.
Headers
OAuth 2.0 Bearer access token.
Response
application/json
Response
Successful response
Show Child Parameters
Show Child Parameters
Authentication
Query Parameters
Headers
Media ID
Delete asset
Requires the MEDIAREMOVE security role.
Path Parameters
Asset id.
Headers
OAuth 2.0 Bearer access token.
Response
Response
No Content
Authentication
Path Parameters
Headers
Retrieve specific asset
Requires the STATISTICS security role in order to retrieve views and downloads statistics data in the response, using the stats parameter.
Query Parameters
Include information about the different asset media items including versions.
Default:false
Include information about views and downloads.
Default:false
Path Parameters
Asset id.
Headers
OAuth 2.0 Bearer access token.
Response
application/json
Response
Successful response
Show Child Parameters
Show Child Parameters
Show Child Parameters
Authentication
Path Parameters
Query Parameters
Headers
Modify asset
Requires the MEDIAEDIT security role. Requires the MARKPUBLIC security role in order to change an asset’s isPublic state.
Custom thumbnails
To set a custom thumbnail, first upload the thumbnail image using the Modern Stack File Upload flow, then call this endpoint with the returned file id as customThumbnailFileId. To remove an existing custom thumbnail and revert to the automatically generated one, call this endpoint with removeCustomThumbnail=true. The two fields are mutually exclusive.
Path Parameters
Asset id.
Body
application/x-www-form-urlencoded
Body
Indicating the archived state of the asset.
Archive datetime. ISO8601 format: yyyy-mm-ddThh:mm:ssZ.
Id of the brand to save the asset to.
Copyright information of the asset.
The file id of the custom thumbnail to be set for the asset. Custom thumbnails must first be uploaded by following the steps described in the Modern Stack File Upload documentation; use the fileId returned by that flow. Cannot be combined with removeCustomThumbnail.
Example:00000000-0000-0000-0000-000000000000
Publication datetime. ISO8601 format: yyyy-mm-ddThh:mm:ssZ.
Asset description.
Asset id.
Indicating the public state of the asset. Warning irreversible, once changed to true it cannot be changed back.
Indicating the limit state of the asset.
Limit datetime. ISO8601 format: yyyy-mm-ddThh:mm:ssZ.
Mapping of metaproperty UUIDs to the option value(s) to set on the asset. Each value may be provided as option label, option DB name, or option UUID. For multi-select metaproperties, pass multiple values as a comma-separated string.
In x-www-form-urlencoded requests, fields are sent as metaproperty.<metaproperty_uuid>=<value1>,<value2>.
Example:{"02509778-CEE3-43D5-9E96-9A60B1E78314":"option_id1,option_id2","EF122F1F-9BA0-4772-80F1-BF05588B1A59":"option_id3"}
Name of the asset, beware the asset will have no name when this is empty.
Remove the current custom thumbnail from the asset, reverting to the automatically generated thumbnail. Cannot be combined with customThumbnailFileId.
Example:true
Comma-separated tags. Tags will overwrite the current tags list.
Watermark datetime. ISO8601 format: yyyy-mm-ddThh:mm:ssZ.
Response
application/json
Response
Accepted